> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /alienvault_otx/indicators

> Get an AlienVault OTX threat-intelligence indicator with its enrichment and related pulses

**Price:** 1 credit

**⚠️ Common errors:** 412: Indicator not found



## OpenAPI

````yaml /openapi/domains-osint.json post /api/alienvault_otx/indicators
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/alienvault_otx/indicators:
    post:
      tags:
        - /alienvault_otx
      summary: /alienvault_otx/indicators
      description: >-
        Get an AlienVault OTX threat-intelligence indicator with its enrichment
        and related pulses


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Indicator not found
      operationId: __api_alienvault_otx_indicators_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OtxIndicatorsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OtxIndicator'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OtxIndicatorsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        type:
          $ref: '#/components/schemas/OtxIndicatorType'
        indicator:
          type: string
          minLength: 1
      type: object
      required:
        - type
        - indicator
    OtxIndicator:
      properties:
        '@type':
          type: string
          default: OtxIndicator
        indicator:
          type: string
        type:
          anyOf:
            - type: string
            - type: 'null'
        type_title:
          anyOf:
            - type: string
            - type: 'null'
        base_indicator_id:
          anyOf:
            - type: integer
            - type: 'null'
        reputation:
          anyOf:
            - type: integer
            - type: 'null'
        asn:
          anyOf:
            - type: string
            - type: 'null'
        whois_url:
          anyOf:
            - type: string
            - type: 'null'
        alexa_url:
          anyOf:
            - type: string
            - type: 'null'
        mitre_url:
          anyOf:
            - type: string
            - type: 'null'
        nvd_url:
          anyOf:
            - type: string
            - type: 'null'
        geo:
          anyOf:
            - $ref: '#/components/schemas/OtxGeo'
            - type: 'null'
        validations:
          items:
            $ref: '#/components/schemas/OtxValidation'
          type: array
          default: []
        false_positives:
          items:
            $ref: '#/components/schemas/OtxFalsePositive'
          type: array
          default: []
        sections:
          items:
            type: string
          type: array
          default: []
        cvss_score:
          anyOf:
            - type: number
            - type: 'null'
        cvss_severity:
          anyOf:
            - type: string
            - type: 'null'
        cvss_vector:
          anyOf:
            - type: string
            - type: 'null'
        cwe:
          anyOf:
            - type: string
            - type: 'null'
        epss:
          anyOf:
            - type: number
            - type: 'null'
        is_seen_in_wild:
          type: boolean
          default: false
        affected_products:
          items:
            type: string
          type: array
          default: []
        exploits:
          items:
            $ref: '#/components/schemas/OtxCveExploit'
          type: array
          default: []
        cve_references:
          items:
            type: string
          type: array
          default: []
        cve_published_at:
          anyOf:
            - type: integer
            - type: 'null'
        cve_modified_at:
          anyOf:
            - type: integer
            - type: 'null'
        pulse_count:
          type: integer
          default: 0
        pulses:
          items:
            $ref: '#/components/schemas/OtxPulse'
          type: array
          default: []
        related_adversaries:
          items:
            type: string
          type: array
          default: []
        related_malware_families:
          items:
            type: string
          type: array
          default: []
        related_industries:
          items:
            type: string
          type: array
          default: []
        references:
          items:
            type: string
          type: array
          default: []
        web_url:
          type: string
          default: ''
      type: object
      required:
        - indicator
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    OtxIndicatorType:
      type: string
      enum:
        - IPv4
        - IPv6
        - domain
        - hostname
        - email
        - url
        - file
        - cve
    OtxGeo:
      properties:
        '@type':
          type: string
          default: OtxGeo
        asn:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        subdivision:
          anyOf:
            - type: string
            - type: 'null'
        continent_code:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
        country_code3:
          anyOf:
            - type: string
            - type: 'null'
        country_name:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
        accuracy_radius:
          anyOf:
            - type: integer
            - type: 'null'
        dma_code:
          anyOf:
            - type: integer
            - type: 'null'
        area_code:
          anyOf:
            - type: integer
            - type: 'null'
        flag_url:
          anyOf:
            - type: string
            - type: 'null'
        flag_title:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    OtxValidation:
      properties:
        '@type':
          type: string
          default: OtxValidation
        source:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        message:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    OtxFalsePositive:
      properties:
        '@type':
          type: string
          default: OtxFalsePositive
        assessment:
          anyOf:
            - type: string
            - type: 'null'
        assessment_date:
          anyOf:
            - type: string
            - type: 'null'
        report_date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    OtxCveExploit:
      properties:
        '@type':
          type: string
          default: OtxCveExploit
        name:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        source:
          anyOf:
            - type: string
            - type: 'null'
        exploit_type:
          anyOf:
            - type: string
            - type: 'null'
        author:
          anyOf:
            - type: string
            - type: 'null'
        platform:
          anyOf:
            - type: string
            - type: 'null'
        port:
          anyOf:
            - type: string
            - type: 'null'
        published_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - name
    OtxPulse:
      properties:
        '@type':
          type: string
          default: OtxPulse
        id:
          type: string
        name:
          type: string
        author:
          anyOf:
            - type: string
            - type: 'null'
        author_id:
          anyOf:
            - type: integer
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        modified_at:
          anyOf:
            - type: integer
            - type: 'null'
        tags:
          items:
            type: string
          type: array
          default: []
        references:
          items:
            type: string
          type: array
          default: []
        is_public:
          type: boolean
          default: false
        adversary:
          anyOf:
            - type: string
            - type: 'null'
        targeted_countries:
          items:
            type: string
          type: array
          default: []
        malware_families:
          items:
            type: string
          type: array
          default: []
        attack_ids:
          items:
            type: string
          type: array
          default: []
        industries:
          items:
            type: string
          type: array
          default: []
        groups:
          items:
            type: string
          type: array
          default: []
        tlp:
          anyOf:
            - type: string
            - type: 'null'
        pulse_source:
          anyOf:
            - type: string
            - type: 'null'
        cloned_from:
          anyOf:
            - type: string
            - type: 'null'
        is_locked:
          type: boolean
          default: false
        indicator_count:
          type: integer
          default: 0
        indicator_type_counts:
          additionalProperties:
            type: integer
          type: object
          default: {}
        subscriber_count:
          type: integer
          default: 0
        comment_count:
          type: integer
          default: 0
        follower_count:
          type: integer
          default: 0
        vote_count:
          type: integer
          default: 0
        upvote_count:
          type: integer
          default: 0
        downvote_count:
          type: integer
          default: 0
        export_count:
          type: integer
          default: 0
        validator_count:
          type: integer
          default: 0
        web_url:
          type: string
          default: ''
      type: object
      required:
        - id
        - name
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````